%define qtdir %(. %{_sysconfdir}/profile.d/qt.sh 2>/dev/null; echo $QTDIR)

Name:           qtparted
Version:        0.6.0
Release:        5%{?dist}
Summary:        Graphical partition editor written in C++ using the Qt toolkit
Group:          Applications/System
# The COPYING file is a copy of the GPLv2, prefaced with an exception
# for linking against Qt
License:        GPLv2+ with exceptions
URL:            http://qtparted.sourceforge.net/
Source0:        http://download.sf.net/qtparted/%{name}-%{version}.tar.xz
Source1:        %{name}.pam
Source2:        %{name}.consoleapp
Source3:        %{name}.qtpartedrc
Patch0:         %{name}-desktop.patch
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  qt-devel
# Can't build against 3.0 as it dropped ped_file_system_close, was
# restored in 3.1
BuildRequires:  parted-devel >= 3.1
# Bugzilla 407151
%ifnarch ppc ppc64
Requires:       ntfsprogs
%endif
Requires:       e2fsprogs
Requires:       jfsutils
Requires:       usermode-gtk
Requires:       xfsprogs

%description
QTParted is a graphical partition editor written in C++ using the Qt toolkit.

%prep
%setup -q
%patch0 -p0

%build
%cmake .
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-validate %{buildroot}/%{_datadir}/applications/qtparted.desktop

ln -s %{_datadir}/qtparted/pics/qtparted_64.png \
  $RPM_BUILD_ROOT%{_datadir}/pixmaps/qtparted.png

install -dm 755 $RPM_BUILD_ROOT%{_mandir}/man1
install -Dpm 644 doc/qtparted.1 $RPM_BUILD_ROOT%{_mandir}/man1/qtparted.1
gzip $RPM_BUILD_ROOT%{_mandir}/man1/qtparted.1

# PAM configuration
install -dm 755 $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/qtparted $RPM_BUILD_ROOT%{_sbindir}/qtparted
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/qtparted
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/qtparted
install -Dpm 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/qtparted

# Default configuration
install -Dpm 0644 %{SOURCE3} \
  $RPM_BUILD_ROOT%{qtdir}/etc/settings/qtpartedrc
touch $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock
chmod 600 $RPM_BUILD_ROOT%{qtdir}/etc/settings/.qtpartedrc.lock

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS doc/BUGS ChangeLog COPYING doc/README doc/TODO.txt
%config(noreplace) %{_sysconfdir}/pam.d/qtparted
%config(noreplace) %{_sysconfdir}/security/console.apps/qtparted
%config %{qtdir}/etc/settings/qtpartedrc
%ghost %{qtdir}/etc/settings/.qtpartedrc.lock
%{_bindir}/qtparted
%{_sbindir}/qtparted
%{_datadir}/applications/*qtparted.desktop
%{_datadir}/pixmaps/qtparted.png
%{_datadir}/pixmaps/qtparted.xpm
%dir %{_datadir}/qtparted
%{_datadir}/qtparted/pics
%dir %{_datadir}/qtparted/locale
%lang(ca) %{_datadir}/qtparted/locale/*_ca.qm
%lang(cs) %{_datadir}/qtparted/locale/*_cs.qm
%lang(de) %{_datadir}/qtparted/locale/*_de.qm
%lang(es) %{_datadir}/qtparted/locale/*_es.qm
%lang(fr) %{_datadir}/qtparted/locale/*_fr.qm
%lang(fi) %{_datadir}/qtparted/locale/*_fi.qm
%lang(it) %{_datadir}/qtparted/locale/*_it.qm
%lang(pl) %{_datadir}/qtparted/locale/*_pl.qm
%lang(ru) %{_datadir}/qtparted/locale/*_ru.qm
%lang(sv) %{_datadir}/qtparted/locale/*_sv.qm
%lang(ua) %{_datadir}/qtparted/locale/*_ua.qm
%{_mandir}/man1/qtparted.1*

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 26 2012 Adam Williamson <awilliam@redhat.com> - 0.6.0-1
- New upstream release 0.6.0
- drop PED_SECTOR_SIZE.patch, qp_libparted.patch and
  parted-version.patch: merged upstream
- update qtpartedrc for /usr move and include ntfs utils
- rediff desktop.patch
- correct license to GPLv2+ with exceptions (not an upstream change,
  just a correction in our downstream description)

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-31
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-30
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4.5-28
- Rebuild for new libpng

* Tue Oct 11 2011 Peter Robinson <pbrobinson@fedoraproject.org> - 0.4.5-27
- fix BR for mkntfs

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-26
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 27 2010 Steven Pritchard <steve@kspei.com> 0.4.5-25
- Patch for "Cannot get parted version" bug (#585263).

* Fri Apr 02 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.4.5-24
- Rebuild for new parted (2.2)

* Tue Jan 12 2010 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.4.5-23
- Rebuild for new parted (2.1)

* Fri Sep 12 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 0.4.5-22
- Fix FTBFS: added Debians qtparted-0.4.5-qp_libparted.patch

* Wed Aug 26 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 0.4.5-21
- Add explicit requirement on libuuid-devel to fix broken deps in rawhide

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.5-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.4.5-18
- Autorebuild for GCC 4.3

* Tue Jan 08 2008 Steven Pritchard <steve@kspei.com> 0.4.5-17
- Don't include NTFS support on ppc/ppc64 (#407151).
- BR e2fsprogs.
- Explicitly require ntfsprogs, just to be safe.

* Thu Jan 03 2008 Steven Pritchard <steve@kspei.com> 0.4.5-16
- Update License.
- Load /etc/profile.d/qt.sh to get PATH right.

* Thu Sep 06 2007 Steven Pritchard <steve@kspei.com> 0.4.5-15
- Fix qtparted.pam (#237075).

* Thu Mar 29 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-14
- Rebuild again.

* Tue Mar 20 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-13
- Rebuild.

* Tue Jan 16 2007 Steven Pritchard <steve@kspei.com> - 0.4.5-12
- Rebuild.

* Tue Nov 21 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-11
- Yet another rebuild.

* Fri Oct 27 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-10
- Enable ntfs support.
- Make desktop-file-install happy with our categories again.

* Mon Aug 28 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-9
- Rebuild.

* Fri Jun 02 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-8
- Oops, really add the patch this time.

* Fri Jun 02 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-7
- Rebuild with qtparted-0.4.5-PED_SECTOR_SIZE.patch (from Paul Howarth).

* Sat May 20 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-6
- Rebuild.

* Fri Apr 14 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-5
- Rebuild.

* Mon Feb 13 2006 Steven Pritchard <steve@kspei.com> - 0.4.5-4
- Rebuild.

* Mon Nov 14 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-3
- Remove BR XFree86-devel.

* Mon Oct 24 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-2
- Rebuild.

* Sat Aug 13 2005 Steven Pritchard <steve@kspei.com> - 0.4.5-1
- Update to 0.4.5.
- Work around unsermake dependency in distributed configure script.

* Thu May 19 2005 Ville Skyttä <ville.skytta at iki.fi> - 0.4.4-3
- Rebuild.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.4.4-2
- rebuilt

* Fri May 21 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:0.4.4-0.fdr.1
- Update to 0.4.4.
- Specfile cleanup.

* Sun Jul 13 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.5
- Export $QTDIR before running %%configure.

* Thu Jul 10 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.4
- Add sanity and use mktemp in qtparted_df (bug 388).
- Own stuff under $QTDIR/etc/settings, install default config (bug 388).

* Tue Jul  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.3
- Move qtparted_df to %%{_libexecdir} and make it executable (#388).
- Require e2fsprogs and jfsutils (#388).

* Tue Jul  1 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.2
- Use PAM/consolehelper instead of kdesu.
- Mark %%lang files as such.
- .desktop entry tweaks.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.2-0.fdr.1
- Update to 0.3.2.

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.2
- BuildRequire e2fsprogs-devel and add -luuid to LIBS (#316).

* Fri May 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.1-0.fdr.1
- Update to 0.3.1.
- Drop patch, already applied upstream.
- Install man page (#316).

* Sun May 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.2
- Requires kdebase (kdesu).
- Install French locale.

* Sat May 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:0.3.0-0.fdr.1
- First build.
